Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pebble.domain
Class FileMetaData

    java.lang.Object
      net.sourceforge.pebble.domain.FileMetaData

    public class FileMetaData

extends java.lang.Object

Represents the meta data associated with a file.

Author:
  Simon Brown

Field Summary
`static java.lang.String` | `BLOG_DATA`
`static java.lang.String` | `BLOG_FILE`
`static java.lang.String` | `BLOG_IMAGE`
`static java.lang.String` | `THEME_FILE`

Method Summary
`java.lang.String` | `getAbsolutePath()`
`java.io.File` | `getFile()`
`java.util.Date` | `getLastModified()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPath()`
`long` | `getSize()`
`double` | `getSizeInKB()`
`java.lang.String` | `getUrl()`
`boolean` | `isDirectory()`
`boolean` | `isEditable()`
`void` | `setDirectory(boolean directory)`
`void` | `setLastModified(java.util.Date lastModified)`
`void` | `setName(java.lang.String name)`
`void` | `setSize(long size)`
`void` | `setType(java.lang.String type)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLOG_FILE

    public static final java.lang.String BLOG_FILE

See Also:
  Constant Field Values

### BLOG_IMAGE

    public static final java.lang.String BLOG_IMAGE

See Also:
  Constant Field Values

### THEME_FILE

    public static final java.lang.String THEME_FILE

See Also:
  Constant Field Values

### BLOG_DATA

    public static final java.lang.String BLOG_DATA

See Also:
  Constant Field Values

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getLastModified

    public java.util.Date getLastModified()

### setLastModified

    public void setLastModified(java.util.Date lastModified)

### isDirectory

    public boolean isDirectory()

### setDirectory

    public void setDirectory(boolean directory)

### getPath

    public java.lang.String getPath()

### getAbsolutePath

    public java.lang.String getAbsolutePath()

### getUrl

    public java.lang.String getUrl()

### isEditable

    public boolean isEditable()

### getSize

    public long getSize()

### getSizeInKB

    public double getSizeInKB()

### setSize

    public void setSize(long size)

### setType

    public void setType(java.lang.String type)

### getFile

    public java.io.File getFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006, Simon Brown. All Rights Reserved.